Returns a list of children nodes of a TOC node.
GET projects/{project-id}/toc/nodes/{toc-node-id}/children?isRecursive={is-recursive}
Authentication
This request requires basic authentication.
Request Parameters
Path params
| project-id | string |
The ID of the project to get children of a node from. |
|---|---|---|
| toc-node-id | string |
The ID of the TOC node to get child nodes of. |
Query params
| isRecursive | bool |
[optional] Whether or not to get information about all child nodes as well. false by default. |
|---|
Samples
Request sample
Bash (Unix Shell) |
[Bash (Unix Shell)] curl --location -g --request GET 'https://{portal-url}/api/v1/projects/project-deep-space-exploration/toc/nodes/0e7adad0-2572-4966-8f02-bc46930cf848/children?isRecursive=true' |
Response body sample
JSON |
[JSON] [ { "caption": "", "id": "69fc2771-20ef-496a-8141-b8fe38e0fac4", "isAutoDocsMountPoint": false, "isShowInToc": true, "ordinalNo": 0, "parentId": "928d32c6-579b-4e98-a79e-aae03f12f1b5", "topicId": "planetary-system" }, { "caption": "", "id": "42914509-ee9b-4b95-9c25-0334419f86db", "isAutoDocsMountPoint": false, "isShowInToc": true, "ordinalNo": 1, "parentId": "928d32c6-579b-4e98-a79e-aae03f12f1b5", "topicId": "star-cluster" } ] |
Response fields
| caption |
Custom TOC node caption as set in the topic properties. Empty if the topic title is used.
|
|---|---|
| id | The unique identifier of the TOC node. |
| isAutoDocsMountPoint | Whether this node is a mount point of an API definition. |
|
isShowInToc
|
Whether the node is shown in the TOC in publications. Sets the corresponding option in the topic's properties. |
|
ordinalNo
|
The number indicating the position of the node in the TOC.
|
|
parentId
|
The unique identifier of the parent TOC node. null if the node is on the root level.
|
|
topicId
|
The unique identifier of the topic associated with the TOC node.
|